GET /v3/snapshot/options/{underlyingAsset}

Options Chain Snapshot

Snapshot of the full options chain for an underlying ticker.

Endpoint Details

HTTP Method GET
Path /v3/snapshot/options/{underlyingAsset}
Version v3
Minimum Plan free

Path Parameters

Parameter Required Description Example
underlyingAsset Required The underlying asset ticker (e.g., AAPL for options) AAPL

Query Parameters

Parameter Type Required Description
api_key string Required Your API key for authentication
limit integer Optional Maximum number of results to return
sort string Optional Sort order (asc or desc)

Example Request

curl "https://mail.tradeiqai.com/api/v3/snapshot/options/AAPL?api_key=YOUR_API_KEY"

Note: Replace YOUR_API_KEY with your actual API key.

Response Attributes

Attribute Type Description
okbooleanIndicates if the request was successful (e.g., 1)
dataobjectResponse data object
data.statusstringResponse status (typically "OK") (e.g., OK)
data.resultsobjectArray or object containing the endpoint-specific data
data.results.resultsarrayArray of objects
Array items contain:
data.results.results[].break_even_pricedoubleFloating point number (e.g., 346.15)
data.results.results[].dayobject
data.results.results[].day.propertiesunknown
data.results.results[].detailsobject
data.results.results[].details.propertiesunknown
data.results.results[].greeksobject
data.results.results[].greeks.propertiesunknown
data.results.results[].implied_volatilitydoubleFloating point number (e.g., 2.6390906915572)
data.results.results[].last_quoteobject
data.results.results[].last_quote.propertiesunknown
data.results.results[].last_tradeobject
data.results.results[].last_trade.propertiesunknown
data.results.results[].open_interestintegerInteger (e.g., 62)
data.results.results[].underlying_assetobject
data.results.results[].underlying_asset.propertiesunknown
data.results.statusstringString value (e.g., OK)
data.results.request_idstringString value (e.g., f14db1315b7379274a55536b325ae663)
data.results.next_urlstringString value (e.g., https://api.tradeiqai.com/v3/snapshot/options/AAPL...)

Example Response

{
    "ok": true,
    "data": {
        "status": "OK",
        "underlying_asset": "AAPL",
        "results": {
            "results": [
                {
                    "break_even_price": 346.1499999999999772626324556767940521240234375,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 95.0799999999999982946974341757595539093017578125,
                        "high": 95.2000000000000028421709430404007434844970703125,
                        "last_updated": 1791833162095000000,
                        "low": 94.7099999999999937472239253111183643341064453125,
                        "open": 94.719999999999998863131622783839702606201171875,
                        "previous_close": 95.0799999999999982946974341757595539093017578125,
                        "volume": 62,
                        "vwap": 94.9989000000000061163518694229423999786376953125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 245,
                        "ticker": "O:AAPL261014C00245000"
                    },
                    "greeks": {
                        "delta": 0.9875423594567840357427712660864926874637603759765625,
                        "gamma": 0.000574337982079933828151452335220028544426895678043365478515625,
                        "theta": -0.678411497587676048937055384158156812191009521484375,
                        "vega": 0.0090851720097769421424782620988480630330741405487060546875
                    },
                    "implied_volatility": 2.639090691557218093521441915072500705718994140625,
                    "last_quote": {
                        "ask": 102.2999999999999971578290569595992565155029296875,
                        "ask_size": 10,
                        "ask_exchange": 319,
                        "bid": 100,
                        "bid_size": 288,
                        "bid_exchange": 307,
                        "last_updated": 1791903451020061055,
                        "midpoint": 101.150000000000005684341886080801486968994140625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791833107930386906,
                        "conditions": [
                            233
                        ],
                        "price": 95.0799999999999982946974341757595539093017578125,
                        "size": 1,
                        "exchange": 302,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 62,
                    "underlying_asset": {
                        "change_to_break_even": 0.293999999999999983568699235547683201730251312255859375,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.125,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 89.8799999999999954525264911353588104248046875,
                        "high": 89.8799999999999954525264911353588104248046875,
                        "last_updated": 1791832802055000000,
                        "low": 89.56000000000000227373675443232059478759765625,
                        "open": 89.7699999999999960209606797434389591217041015625,
                        "previous_close": 89.8799999999999954525264911353588104248046875,
                        "volume": 33,
                        "vwap": 89.785200000000003228706191293895244598388671875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 250,
                        "ticker": "O:AAPL261014C00250000"
                    },
                    "greeks": {
                        "delta": 0.98789611455974390974432708389940671622753143310546875,
                        "gamma": 0.000599291639754438612390508023253232749993912875652313232421875,
                        "theta": -0.62272320540770553787268681844579987227916717529296875,
                        "vega": 0.00918015161143071779792368403150248923338949680328369140625
                    },
                    "implied_volatility": 2.47039017059669152587275675614364445209503173828125,
                    "last_quote": {
                        "ask": 97.25,
                        "ask_size": 26,
                        "ask_exchange": 320,
                        "bid": 95,
                        "bid_size": 278,
                        "bid_exchange": 300,
                        "last_updated": 1791903450890735432,
                        "midpoint": 96.125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791832800192789448,
                        "conditions": [
                            233
                        ],
                        "price": 89.8799999999999954525264911353588104248046875,
                        "size": 1,
                        "exchange": 312,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 34,
                    "underlying_asset": {
                        "change_to_break_even": 0.26900000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.25,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 81.18000000000000682121026329696178436279296875,
                        "high": 81.5,
                        "last_updated": 1791565502234000000,
                        "low": 80.2000000000000028421709430404007434844970703125,
                        "open": 80.219999999999998863131622783839702606201171875,
                        "previous_close": 81.18000000000000682121026329696178436279296875,
                        "volume": 6,
                        "vwap": 80.5982999999999947249307297170162200927734375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 255,
                        "ticker": "O:AAPL261014C00255000"
                    },
                    "greeks": {
                        "delta": 0.9823751542080876308915549088851548731327056884765625,
                        "gamma": 0.000827086152408680933510731758673273361637257039546966552734375,
                        "theta": -0.84857185558692871385488842861377634108066558837890625,
                        "vega": 0.009272011682374008134654985724409925751388072967529296875
                    },
                    "implied_volatility": 2.46684027054314380933419670327566564083099365234375,
                    "last_quote": {
                        "ask": 92.25,
                        "ask_size": 43,
                        "ask_exchange": 302,
                        "bid": 90.25,
                        "bid_size": 156,
                        "bid_exchange": 307,
                        "last_updated": 1791903324598355824,
                        "midpoint": 91.25,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791565492879269854,
                        "conditions": [
                            227
                        ],
                        "price": 81.18000000000000682121026329696178436279296875,
                        "size": 1,
                        "exchange": 312,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 3,
                    "underlying_asset": {
                        "change_to_break_even": 0.39400000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.125,
                    "day": {
                        "change": 11.3300000000000000710542735760100185871124267578125,
                        "change_percent": 15.0769999999999999573674358543939888477325439453125,
                        "close": 86.4800000000000039790393202565610408782958984375,
                        "high": 86.4800000000000039790393202565610408782958984375,
                        "last_updated": 1791901682450000000,
                        "low": 86.4800000000000039790393202565610408782958984375,
                        "open": 86.4800000000000039790393202565610408782958984375,
                        "previous_close": 75.150000000000005684341886080801486968994140625,
                        "volume": 1,
                        "vwap": 86.4800000000000039790393202565610408782958984375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 260,
                        "ticker": "O:AAPL261014C00260000"
                    },
                    "greeks": {
                        "delta": 0.9865906413070175684509877100936137139797210693359375,
                        "gamma": 0.00073465178173720384335876332215775619260966777801513671875,
                        "theta": -0.605114006217690292288580167223699390888214111328125,
                        "vega": 0.009365514969183176552380842849743203260004520416259765625
                    },
                    "implied_volatility": 2.19640042720566963652117919991724193096160888671875,
                    "last_quote": {
                        "ask": 87.25,
                        "ask_size": 11,
                        "ask_exchange": 320,
                        "bid": 85,
                        "bid_size": 179,
                        "bid_exchange": 307,
                        "last_updated": 1791903451000990924,
                        "midpoint": 86.125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791901624800722017,
                        "conditions": [
                            232
                        ],
                        "price": 86.4800000000000039790393202565610408782958984375,
                        "size": 1,
                        "exchange": 312,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 3,
                    "underlying_asset": {
                        "change_to_break_even": 0.26900000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.25,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 70.2000000000000028421709430404007434844970703125,
                        "high": 70.9500000000000028421709430404007434844970703125,
                        "last_updated": 1791565562207000000,
                        "low": 69.7099999999999937472239253111183643341064453125,
                        "open": 70.9500000000000028421709430404007434844970703125,
                        "previous_close": 70.2000000000000028421709430404007434844970703125,
                        "volume": 10,
                        "vwap": 70.263000000000005229594535194337368011474609375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 265,
                        "ticker": "O:AAPL261014C00265000"
                    },
                    "greeks": {
                        "delta": 0.980380494753552600428747609839774668216705322265625,
                        "gamma": 0.001020647981616461252851735252988873980939388275146484375,
                        "theta": -0.8309619179953784406933436912368051707744598388671875,
                        "vega": 0.00945619840840326679465288606252215686254203319549560546875
                    },
                    "implied_volatility": 2.19556614356764878692729325848631560802459716796875,
                    "last_quote": {
                        "ask": 82.5,
                        "ask_size": 10,
                        "ask_exchange": 319,
                        "bid": 80,
                        "bid_size": 171,
                        "bid_exchange": 307,
                        "last_updated": 1791903079212739212,
                        "midpoint": 81.25,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791565534639554095,
                        "conditions": [
                            227
                        ],
                        "price": 70.2000000000000028421709430404007434844970703125,
                        "size": 1,
                        "exchange": 312,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 3,
                    "underlying_asset": {
                        "change_to_break_even": 0.39400000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.125,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 71.280000000000001136868377216160297393798828125,
                        "high": 71.340000000000003410605131648480892181396484375,
                        "last_updated": 1791815882150000000,
                        "low": 71.280000000000001136868377216160297393798828125,
                        "open": 71.340000000000003410605131648480892181396484375,
                        "previous_close": 71.280000000000001136868377216160297393798828125,
                        "volume": 2,
                        "vwap": 71.31000000000000227373675443232059478759765625
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 270,
                        "ticker": "O:AAPL261014C00270000"
                    },
                    "greeks": {
                        "delta": 0.98499782814185932178219218258163891732692718505859375,
                        "gamma": 0.000918166206779788269913555875945121442782692611217498779296875,
                        "theta": -0.58742039826171310590297025555628351867198944091796875,
                        "vega": 0.00954629883683277315198356660630452097393572330474853515625
                    },
                    "implied_volatility": 1.9328762722203001178655767944292165338993072509765625,
                    "last_quote": {
                        "ask": 77.25,
                        "ask_size": 14,
                        "ask_exchange": 313,
                        "bid": 75,
                        "bid_size": 145,
                        "bid_exchange": 307,
                        "last_updated": 1791903428404493300,
                        "midpoint": 76.125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791815842792401965,
                        "conditions": [
                            227
                        ],
                        "price": 71.280000000000001136868377216160297393798828125,
                        "size": 1,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 3,
                    "underlying_asset": {
                        "change_to_break_even": 0.26900000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.25,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 66.31999999999999317878973670303821563720703125,
                        "high": 66.31999999999999317878973670303821563720703125,
                        "last_updated": 1791815882110000000,
                        "low": 65.650000000000005684341886080801486968994140625,
                        "open": 65.650000000000005684341886080801486968994140625,
                        "previous_close": 66.31999999999999317878973670303821563720703125,
                        "volume": 2,
                        "vwap": 65.9849999999999994315658113919198513031005859375
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 275,
                        "ticker": "O:AAPL261014C00275000"
                    },
                    "greeks": {
                        "delta": 0.97794456265274909423368399075116030871868133544921875,
                        "gamma": 0.00128434615971007829067496164299200245295651257038116455078125,
                        "theta": -0.8132685353201243305676371164736337959766387939453125,
                        "vega": 0.00963592442250814883164533597437184653244912624359130859375
                    },
                    "implied_volatility": 1.9345241107644637335027937297127209603786468505859375,
                    "last_quote": {
                        "ask": 72.5,
                        "ask_size": 10,
                        "ask_exchange": 319,
                        "bid": 70,
                        "bid_size": 246,
                        "bid_exchange": 309,
                        "last_updated": 1791903079182179060,
                        "midpoint": 71.25,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791815823296406527,
                        "conditions": [
                            227
                        ],
                        "price": 66.31999999999999317878973670303821563720703125,
                        "size": 1,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 1,
                    "underlying_asset": {
                        "change_to_break_even": 0.39400000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.125,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 54.96000000000000085265128291212022304534912109375,
                        "high": 55.17999999999999971578290569595992565155029296875,
                        "last_updated": 1791568022068000000,
                        "low": 54.96000000000000085265128291212022304534912109375,
                        "open": 55.1700000000000017053025658242404460906982421875,
                        "previous_close": 54.96000000000000085265128291212022304534912109375,
                        "volume": 5,
                        "vwap": 55.04599999999999937472239253111183643341064453125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 280,
                        "ticker": "O:AAPL261014C00280000"
                    },
                    "greeks": {
                        "delta": 0.9830040601182574722116669363458640873432159423828125,
                        "gamma": 0.0011762323203195926106523483412047426099888980388641357421875,
                        "theta": -0.56965696231263962534541178683866746723651885986328125,
                        "vega": 0.0097229828570045244429120856466397526673972606658935546875
                    },
                    "implied_volatility": 1.679055306061745245216343391803093254566192626953125,
                    "last_quote": {
                        "ask": 67.25,
                        "ask_size": 10,
                        "ask_exchange": 318,
                        "bid": 65,
                        "bid_size": 156,
                        "bid_exchange": 307,
                        "last_updated": 1791903428404588315,
                        "midpoint": 66.125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791568011874127058,
                        "conditions": [
                            232
                        ],
                        "price": 54.96000000000000085265128291212022304534912109375,
                        "size": 2,
                        "exchange": 308,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 5,
                    "underlying_asset": {
                        "change_to_break_even": 0.26900000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.125,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 55.82000000000000028421709430404007434844970703125,
                        "high": 56.75,
                        "last_updated": 1791834362125000000,
                        "low": 55.4500000000000028421709430404007434844970703125,
                        "open": 55.71000000000000085265128291212022304534912109375,
                        "previous_close": 55.82000000000000028421709430404007434844970703125,
                        "volume": 6,
                        "vwap": 55.875
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 285,
                        "ticker": "O:AAPL261014C00285000"
                    },
                    "greeks": {
                        "delta": 0.981803911053586997326192431501112878322601318359375,
                        "gamma": 0.00134674506274457222824991742271549810538999736309051513671875,
                        "theta": -0.560752885690372071536557996296323835849761962890625,
                        "vega": 0.0098094619038650750220131868672979180701076984405517578125
                    },
                    "implied_volatility": 1.5555684649054348778207668146933428943157196044921875,
                    "last_quote": {
                        "ask": 62.25,
                        "ask_size": 13,
                        "ask_exchange": 320,
                        "bid": 60,
                        "bid_size": 168,
                        "bid_exchange": 307,
                        "last_updated": 1791903451000782342,
                        "midpoint": 61.125,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791834316852369094,
                        "conditions": [
                            227
                        ],
                        "price": 55.82000000000000028421709430404007434844970703125,
                        "size": 1,
                        "exchange": 323,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 4,
                    "underlying_asset": {
                        "change_to_break_even": 0.26900000000000001687538997430237941443920135498046875,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                },
                {
                    "break_even_price": 346.4750000000000227373675443232059478759765625,
                    "day": {
                        "change": 0,
                        "change_percent": 0,
                        "close": 50.78999999999999914734871708787977695465087890625,
                        "high": 51.39999999999999857891452847979962825775146484375,
                        "last_updated": 1791834062118000000,
                        "low": 48.64999999999999857891452847979962825775146484375,
                        "open": 50.64999999999999857891452847979962825775146484375,
                        "previous_close": 50.78999999999999914734871708787977695465087890625,
                        "volume": 34,
                        "vwap": 50.2432000000000016370904631912708282470703125
                    },
                    "details": {
                        "contract_type": "call",
                        "exercise_style": "american",
                        "expiration_date": "2026-10-14",
                        "shares_per_contract": 100,
                        "strike_price": 290,
                        "ticker": "O:AAPL261014C00290000"
                    },
                    "greeks": {
                        "delta": 0.96181988062948386986050763880484737455844879150390625,
                        "gamma": 0.002325770631620159394070679326205208781175315380096435546875,
                        "theta": -1.10159484884608982468989779590629041194915771484375,
                        "vega": 0.0197988441907847485812244059388831374235451221466064453125
                    },
                    "implied_volatility": 1.6794366109362390826476030269986949861049652099609375,
                    "last_quote": {
                        "ask": 57.7000000000000028421709430404007434844970703125,
                        "ask_size": 52,
                        "ask_exchange": 307,
                        "bid": 55.25,
                        "bid_size": 76,
                        "bid_exchange": 307,
                        "last_updated": 1791903451105306403,
                        "midpoint": 56.47500000000000142108547152020037174224853515625,
                        "timeframe": "REAL-TIME"
                    },
                    "last_trade": {
                        "sip_timestamp": 1791834057260363720,
                        "conditions": [
                            227
                        ],
                        "price": 50.78999999999999914734871708787977695465087890625,
                        "size": 1,
                        "exchange": 301,
                        "timeframe": "REAL-TIME"
                    },
                    "open_interest": 18,
                    "underlying_asset": {
                        "change_to_break_even": 0.6189999999999999946709294817992486059665679931640625,
                        "last_updated": 1791903469220505018,
                        "price": 345.85579999999998790372046642005443572998046875,
                        "ticker": "AAPL",
                        "timeframe": "REAL-TIME"
                    }
                }
            ],
            "status": "OK",
            "request_id": "f14db1315b7379274a55536b325ae663",
            "next_url": "https://api.tradeiqai.com/v3/snapshot/options/AAPL?cursor=YXA9TyUzQUFBUEwyNjEwMTRDMDAyOTAwMDAlM0EyOTAuMDAmYXM9JmV4cGlyYXRpb25fZGF0ZS5ndGU9MjAyNi0xMC0xNCZsaW1pdD0xMCZzb3J0PXRpY2tlcg"
        }
    }
}